Package org.codehaus.janino

# Class Java.ContinuableStatement

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.Statement
org.codehaus.janino.Java.BreakableStatement
org.codehaus.janino.Java.ContinuableStatement

All Implemented Interfaces:
  `Java.BlockStatement`, `Java.Locatable`, `Java.Scope`

Direct Known Subclasses:
  `Java.DoStatement`, `Java.ForEachStatement`, `Java.ForStatement`, `Java.WhileStatement`

Enclosing class:
  `Java`

public abstract static class Java.ContinuableStatement extends Java.BreakableStatement
Base class for statements that support the "continue" statement.

According to the JLS7 14.16, these are `for`, `do` and `while`.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.BlockStatement`
`body`
The body of this continuable statement.
`protected CodeContext.Offset`
`whereToContinue`
This one's filled in by the first CONTINUE statement, and is `CodeContext.Offset.set()` by this continuable statement.

### Fields inherited from class org.codehaus.janino.Java.Statement

`localVariables`

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ContinuableStatement(Location location, Java.BlockStatement body)`

## Method Summary

### Methods inherited from class org.codehaus.janino.Java.Statement

`findLocalVariable, getEnclosingScope, setEnclosingScope`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.BlockStatement

`accept`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

## Field Details

### whereToContinue

@Nullable protected CodeContext.Offset whereToContinue
This one's filled in by the first CONTINUE statement, and is `CodeContext.Offset.set()` by this continuable statement.

### body

public final Java.BlockStatement body
The body of this continuable statement.

## Constructor Details

### ContinuableStatement

protected ContinuableStatement(Location location, Java.BlockStatement body)